<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new ClienteBean();
  
$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
 
//Todos los Mercados de Todas las sucursales
if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.view"){
	$o_MercadoBL = new MercadoBL();
	$a_o_Mercado = $o_MercadoBL->busquedaMercado(new MercadoBean());
}

if(myUser::getUser()->getRoleId() == "sys.res"){
	//Filtro por Sucursal
 	/*$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
	
	$o_MercadoBL = new MercadoBL();
	$a_o_MercadoRepresentanteBeanResult = $o_MercadoBL->busquedaMercado(new MercadoBean());
	if(is_array($a_o_MercadoRepresentanteBeanResult)){
		foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
	  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
	  	}
	}else{
  		$a_Mercado[] = "0"; 
  	}*/
 	//Filtro por Sucursal
 	$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	
 	
 	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key1 => $o_sucursal){
	  		$idSucursal = $o_sucursal->getIdSucursal();
	  	}
	}else{
  		$idSucursal = "0"; 
  	}
  	
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
  	
  	if(is_array($a_o_SucursalMercadoResult)){
		foreach ($a_o_SucursalMercadoResult as $key5 => $o_SucursalMercadoResult){
	  		$a_Mercado[] = $o_SucursalMercadoResult->getIdMercado();
	  	}
	}else{
  		$a_Mercado[] = "0"; 
  	}
		
}
if(myUser::getUser()->getRoleId() == "sys.sec"){
	
	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
	$o_SucursalBean = new SucursalBean();
 	$o_SucursalBean->setIdAdministrador($o_ColaboradorBeanResult[0]->getIdPadre());
 	
 	$o_SucursalBL = new SucursalBL();
 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
  	
  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
  	
  	foreach ($a_o_SucursalMercadoResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
  	}
	
}

if(myUser::getUser()->getRoleId() == "sys.ope"){
	$o_MercadoRepresentanteBean_Temp = new MercadoRepresentanteBean();
  	$o_MercadoRepresentanteBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_MercadoRepresentanteBL_Temp = new MercadoRepresentanteBL();
  	$a_o_MercadoRepresentanteBeanResult = $o_MercadoRepresentanteBL_Temp->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentanteBean_Temp);
  	foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
  	}
  	if(!is_array($a_Mercado)){
  		$a_Mercado[] = "0"; 
  	}
}


$o_ObjectBean->setFiltroMercado($a_Mercado);
	
if($idCliente   	!=""){ $o_ObjectBean->setIdCliente($idCliente); }
if($cboEstado   	!=""){ $o_ObjectBean->setEstado($cboEstado); }
if($Dni       		!=""){ $o_ObjectBean->setDni($Dni); }
if($IdMercado     	!=""){ $o_ObjectBean->setIdMercado($IdMercado); }
if($cboTipoNegocio  !=""){ $o_ObjectBean->setIdTipoNegocio($cboTipoNegocio); } 
if($cboSexo   		!=""){ $o_ObjectBean->setSexo($cboSexo); }
if($txtNuemroCliente   !=""){ $o_ObjectBean->setIdCliente($txtNuemroCliente); } 
if($txtNombre      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

$o_class = new ClienteBL();
$a_ObjectBean = $o_class->busquedaCliente($o_ObjectBean);

 

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="4%" >Nro</th>
                <th width="5%" >Nro Cli</th>
                 <!--<th width="18%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Nombres','Nombres')?>&nbsp;</th>
				         <th width="11%" >Ap. Paterno &nbsp;&nbsp;&nbsp;</th>
				        <th width="11%" >Ap. Materno &nbsp;&nbsp;&nbsp;</th> -->
			    <th width="20%" >Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="4%" >DNI&nbsp;&nbsp;&nbsp;</th>
			    <th width="8%" >Telefono&nbsp;&nbsp;&nbsp;</th>
				<th width="4%" >Estado&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Crea.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Crea.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
               <td align="center"><?=$o_objBean->getIdCliente()?></td>
                <td><?=ucwords(strtolower($o_objBean->getNombreCompleto()))?></td>
                <td><?=$o_objBean->getDni()?></td>
                <td><?=$o_objBean->getTelefono()?></td>
                <td><?if($o_objBean->getEstado()=='A'){ echo Activo; } else {echo Inactivo;} ?></td>
				<td align="center"><?=strtoupper($o_objBean->getUsuarioCreacion())?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                <td align="center" valign="top">
                   <img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('cli/show/id/'.$o_objBean->getIdCliente());?>','block=001')">&nbsp;
                   <input type="image" name="Editar" title="Editar" src="/images/common/buttons/btnEdit.gif" onclick="parent.objMainTab.modalDialog('<?=buildUrl('cli/edit/id/'.$o_objBean->getIdCliente())?>','block=001')">&nbsp;
				    <? if(myUser::getUser()->getRoleId() == "sys.gen"){?>
                   <input type="image" name="Editar" title="Cambiar Mercado" src="/images/common/buttons/btnRefresh.gif" onclick="parent.objMainTab.modalDialog('<?=buildUrl('cli/changeMercado/id/'.$o_objBean->getIdCliente())?>','block=001')">&nbsp;
                   <? }?>
                   <? if(myUser::getUser()->getRoleId() == "sys.gen"){?>
                  	<input type="image" name="Eliminar"  title="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getIdCliente()?>','<?=$o_objBean->getIdCliente()?>')">&nbsp;
                   <? }?>
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>